generate.legalnotice.link
Prev | Meta/*Info and Titlepages | Next

## generate.legalnotice.link

generate.legalnotice.link — Write legalnotice to separate chunk and generate link?

## Synopsis

    <xsl:param name="generate.legalnotice.link" select="0"></xsl:param>

## Description

If the value of `generate.legalnotice.link` is non-zero, the stylesheet:

- writes the contents of `legalnotice` to a separate HTML file

- inserts a hyperlink to the `legalnotice` file

- adds (in the HTML `head`) either a single `link` or element or multiple `link` elements (depending on the value of the `html.head.legalnotice.link.multiple` parameter), with the value or values derived from the `html.head.legalnotice.link.types` parameter

Otherwise, if `generate.legalnotice.link` is zero, `legalnotice` contents are rendered on the title page.

The name of the separate HTML file is computed as follows:

1. If a filename is given by the `<?dbhtml filename?>` processing instruction, that filename is used.

2. If the legalnotice has an `id`/`xml:id` attribute, and if `use.id.as.filename` != 0, the filename is the concatenation of the id value and the value of the `html.ext` parameter.

3. If the legalnotice does not have an `id`/`xml:id` attribute, or if `use.id.as.filename` = 0, the filename is the concatenation of "ln-", auto-generated id value, and `html.ext` value.

Prev | Up | Next
othercredit.like.author.enabled | Home | generate.revhistory.link